MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("AVAudioSession", true) The Audio Session controls your preferred audio settings and the session category. To be added.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("init")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Default constructor that initializes a new instance of this class with no parameters.
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Event
  0.0.0.0
  System.EventHandler To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("category")
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant AVAudioSessionCategoryAmbient To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant AVAudioSessionCategoryAudioProcessing To be added.
- Event
  0.0.0.0
  System.EventHandler<MonoMac.AVFoundation.AVCategoryEventArgs> To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("categoryOptions")
  MonoMac.AVFoundation.AVAudioSessionCategoryOptions To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant AVAudioSessionCategoryPlayAndRecord To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant AVAudioSessionCategoryPlayback To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant AVAudioSessionCategoryRecord To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant AVAudioSessionCategorySoloAmbient To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Property
  0.0.0.0
  System.Obsolete("Deprecated in iOS 6.0, use InputNumberOfChannels instead", false)
  get: MonoMac.Foundation.Export("currentHardwareInputNumberOfChannels")
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Obsolete("Deprecated in iOS 6.0, use OutputNumberOfChannels instead", false)
  get: MonoMac.Foundation.Export("currentHardwareOutputNumberOfChannels")
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Obsolete("Deprecated in iOS 6.0, use SampleRate instead", false)
  get: MonoMac.Foundation.Export("currentHardwareSampleRate")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("currentRoute")
  MonoMac.AVFoundation.AVAudioSessionRouteDescription To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Obsolete("AVAudioSession.Delegate is deprecated on iOS 6.0, use AVAudioSession.Notification.Observe* methods instead", false)
  MonoMac.AVFoundation.AVAudioSessionDelegate An instance of the MonoMac.AVFoundation.AVAudioSessionDelegate model class which acts as the class delegate. The instance of the MonoMac.AVFoundation.AVAudioSessionDelegate model class

  The delegate instance assigned to this object will be used to handle events or provide data on demand to this class.

  When setting the Delegate or WeakDelegate values events will be delivered to the specified instance instead of being delivered to the C#-style events

  This is the strongly typed version of the object, use the WeakDelegate property instead if you want to merely assign a class derived from NSObject that has been decorated with [Export] attributes.

- Method
  0.0.0.0
  System.Void ``

  If set to , the method is invoked directly and will dispose manage and unmanaged resources; If set to the method is being called by the garbage collector finalizer and should only release unmanaged resources.

  Releases the resources used by the AVAudioSession object.

  This Dispose method releases the resources used by the AVAudioSession class.

  This method is called by both the Dispose() method and the object finalizer (Finalize). When invoked by the Dispose method, the parameter disposting is set to and any managed object references that this object holds are also disposed or released; when invoked by the object finalizer, on the finalizer thread the value is set to .

  Calling the Dispose method when you are finished using the AVAudioSession ensures that all external resources used by this managed object are released as soon as possible. Once you have invoked the Dispose method, the object is no longer useful and you should no longer make any calls to it.

  For more information on how to override this method and on the Dispose/IDisposable pattern, read the ``Implementing a Dispose Method'' document at http://msdn.microsoft.com/en-us/library/fs2xkftw.aspx

- Event
  0.0.0.0
  System.EventHandler To be added. To be added.
- Event
  0.0.0.0
  System.EventHandler<MonoMac.AVFoundation.AVStatusEventArgs> To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("isInputAvailable")
  System.Boolean To be added. To be added. To be added.
- Event
  0.0.0.0
  System.EventHandler<MonoMac.AVFoundation.AVChannelsEventArgs> To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("inputDataSource")
  MonoMac.AVFoundation.AVAudioSessionDataSourceDescription To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("inputDataSources")
  MonoMac.AVFoundation.AVAudioSessionDataSourceDescription[] To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("inputGain")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("isInputGainSettable")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Obsolete("Deprecated in iOS 6.0", false)
  get: MonoMac.Foundation.Export("inputIsAvailable")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("inputLatency")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("inputNumberOfChannels")
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("IOBufferDuration")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("mode")
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant AVAudioSessionModeDefault To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant AVAudioSessionModeGameChat To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant AVAudioSessionModeMeasurement To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant AVAudioSessionModeVideoRecording To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Represents the value associated with the constant AVAudioSessionModeVoiceChat To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("isOtherAudioPlaying")
  System.Boolean To be added. To be added. To be added.
- Event
  0.0.0.0
  System.EventHandler<MonoMac.AVFoundation.AVChannelsEventArgs> To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("outputDataSource")
  MonoMac.AVFoundation.AVAudioSessionDataSourceDescription To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("outputDataSources")
  MonoMac.AVFoundation.AVAudioSessionDataSourceDescription[] To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("outputLatency")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("outputNumberOfChannels")
  System.Int32 To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("outputVolume")
  System.Single To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("overrideOutputAudioPort:error:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Obsolete("Deprecated in iOS 6.0", false)
  get: MonoMac.Foundation.Export("preferredHardwareSampleRate")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("preferredIOBufferDuration")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("preferredSampleRate")
  System.Double To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("sampleRate")
  System.Double To be added. To be added. To be added.
- Event
  0.0.0.0
  System.EventHandler<MonoMac.AVFoundation.AVSampleRateEventArgs> To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use SetActive(bool, out NSError) instead")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setActive:error:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setActive:withFlags:error:")
  System.Obsolete("Obsolete in iOS 6.0, use SetActive (bool, AVAudioSessionSetActiveOptions, out NSError) instead", false)
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setActive:withOptions:error:")
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use SetCategory(bool, out NSError) instead")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setCategory:error:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setCategory:withOptions:error:")
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setInputDataSource:error:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setInputGain:error:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setMode:error:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setOutputDataSource:error:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use SetPreferredSampleRate(bool, out NSError) on iOS 6.0 instead")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setPreferredHardwareSampleRate:error:")
  System.Obsolete("Obsoleted in iOS 6.0, use SetPreferredSampleRate", false)
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  System.Obsolete("Use SetPreferredIOBufferDuration(bool, out NSError) instead")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setPreferredIOBufferDuration:error:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setPreferredSampleRate:error:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("sharedInstance")
  MonoMac.AVFoundation.AVAudioSession To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("delegate")
  set: MonoMac.Foundation.Export("setDelegate:")
  MonoMac.Foundation.NSObject An object that can respond to the delegate protocol for this type The instance that will respond to events and data requests.

  The delegate instance assigned to this object will be used to handle events or provide data on demand to this class.

  When setting the Delegate or WeakDelegate values events will be delivered to the specified instance instead of being delivered to the C#-style events

  Methods must be decorated with the [Export ("selectorName")] attribute to respond to each method from the protocol. Alternatively use the Delegate method which is strongly typed and does not require the [Export] attributes on methods.